org.apache.ode.bpel.pmapi

## Interface TInstanceSummary.Instances

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TInstanceSummaryImpl.InstancesImpl
  Enclosing interface:
    TInstanceSummary

      public static interface TInstanceSummary.Instances
      extends org.apache.xmlbeans.XmlObject

  An XML instances(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TInstanceSummary.Instances.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()` Gets the "count" attribute
    `TInstanceStatus.Enum` | `getState()` Gets the "state" attribute
    `void` | `setCount(int count)` Sets the "count" attribute
    `void` | `setState(TInstanceStatus.Enum state)` Sets the "state" attribute
    `org.apache.xmlbeans.XmlInt` | `xgetCount()` Gets (as xml) the "count" attribute
    `TInstanceStatus` | `xgetState()` Gets (as xml) the "state" attribute
    `void` | `xsetCount(org.apache.xmlbeans.XmlInt count)` Sets (as xml) the "count" attribute
    `void` | `xsetState(TInstanceStatus state)` Sets (as xml) the "state" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getState

          TInstanceStatus.Enum getState()

      Gets the "state" attribute

    - #### xgetState

          TInstanceStatus xgetState()

      Gets (as xml) the "state" attribute

    - #### setState

          void setState(TInstanceStatus.Enum state)

      Sets the "state" attribute

    - #### xsetState

          void xsetState(TInstanceStatus state)

      Sets (as xml) the "state" attribute

    - #### getCount

          int getCount()

      Gets the "count" attribute

    - #### xgetCount

          org.apache.xmlbeans.XmlInt xgetCount()

      Gets (as xml) the "count" attribute

    - #### setCount

          void setCount(int count)

      Sets the "count" attribute

    - #### xsetCount

          void xsetCount(org.apache.xmlbeans.XmlInt count)

      Sets (as xml) the "count" attribute